Problemas actualizando firmware a Polycom IP600

Discussion in 'Elastix 2.x' started by ramoncio, May 23, 2008.

  1. ramoncio

    Joined:
    May 12, 2010
    Messages:
    1,663
    Likes Received:
    0
    Hola,
    Ayer me llegó un flamante Polycom IP600 nuevo de EEUU.
    Tras cambiar el alimentador por uno de 100-240V (ya he freído alguno de EEUU anteriormente), lo arranco y veo que tiene App version 1.0.6 y BootROM 2.3.0, las más viejas que existen en la web de Polycom, de 2003. Así que decido empezar actualizándole el software.
    Como es mi primer Polycom, llevo leyendo unos días su extensa documentación y algunos enlaces interesantes.
    Lo he reseteado a los valores de fábrica, he configurado vsftpd en un entorno chroot, he creado el ususario polycom con password XXX en /home/polycom y le he dado permisos sobre esa carpeta. He probado
    acceder al servidor desde un cliente ftp con el usuario polycom y he hecho pruebas de conexión con éxito desde un cliente ftp y con wget.
    He configurado el teléfono con los mismos datos de conexión.
    He bajado los archivos spip_ssip_2_2_2_release_sig.zip y
    BootRom_3_2_3RevB_release_sig.zip (los más nuevos que he visto en la web) y los he descomprimido en /home/polycom. He creado las carpetas log, overrides y contacts.
    Pero cuando arranco el teléfono, siempre el maldito mensaje: "Could not contact boot server, loading existing configuration."
    DHCP le asigna la direccion ip correctamente.
    Incluso me he fijado que cuando trato de cambiar el lenguaje a español
    en el menú, si miro el log del vsftpd, se conecta y se baja el
    archivo:

    Thu May 22 01:43:28 2008 1 192.168.xxx.yyy 23623 /home/polycom/
    SoundPointIPLocalization/Spanish_Spain/SoundPointIP-dictionary.xml b _
    o r polycom ftp 0 * c

    Pero algo pasa que durante el arranque no conecta con el servidor para
    bajarse los archivos bootrom.ld y sip.ld.

    A lo mejor es porque la que tiene es una version demasiado vieja?
    Quizá tenga que actualizarlo a una intermedia?

    También he probado con el endpoint manager de Trixbox 2.6, que soporta teléfonos polycom con los mismos resultados. Tiene acceso al tftp, pero no actualiza el firmware de ninguna manera...

    Algún consejo?

    Gracias y un saludo
     
  2. ramoncio

    Joined:
    May 12, 2010
    Messages:
    1,663
    Likes Received:
    0
    Se sabe algo de para cuando soportará teléfonos Polycom el endpoint manager de Elastix?
    No hay manera, no consigo que actualice el firmware. :(
     
  3. ramoncio

    Joined:
    May 12, 2010
    Messages:
    1,663
    Likes Received:
    0
    Como parece que nadie me responde ya lo hago yo mismo.
    Efectivamente, como yo pensaba, el problema era que la que tenía era una versión muuuy vieja, tanto de la aplicación como de la BootROM.
    Lo he actualizado progresivamente y todo ha funcionado perfectamente.
    Primero puse el BootROM 2.4.1 con la sip 1.0.9. Luego la sip 1.2.0 y el BootROM 2.5.0. Luego la sip 1.3.1.
    BootROM 3.3.3. Sip 2.1.2 y 2.2.2 y finalmente la BootROM 4.1.0 y la aplicación sip 3.0.1.
    Ahora ya está a la última. Dos horas actualizando, pero ha merecido la pena.

    Un saludo
     

Share This Page